Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build/build.c File Reference

Top-level build dispatcher. More...

`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmbuild.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions

void | doRmSource (Spec spec)
int | doScript (Spec spec, int what, const char *name, StringBuf sb, int test)
int | buildSpec (Spec spec, int what, int test)

## Variables

int | _build_debug = 0

## Detailed Description

Top-level build dispatcher.

Definition in file build.c.

## Function Documentation

void doRmSource | ( | Spec | spec | ) | `[static]`

| Definition at line 22 of file build.c. References _free, Source::flags, Source::next, RPMBUILD_ISNO, rpmGetPath, Source::source, and Unlink. Referenced by buildSpec.

## Variable Documentation

int _build_debug = 0`[static]`

| Definition at line 14 of file build.c.